Page MenuHomePhabricator

VisualEditor: Drag-and-drop in IE9 doesn't work
Closed, ResolvedPublic1 Estimated Story Points

Description

I can successfully drag-n-drop an image from one part of the page to another in VE while using Chrome and Firefox, but not IE.

Chrome and FF provide feedback, indicating where the object will land if it is dropped, but IE doesn't. Nor does dropping the object move it.

I don't see any errors in the js console on IE during this process.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=51669

Details

Reference
bz73240

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:47 AM
bzimport set Reference to bz73240.
Jdforrester-WMF lowered the priority of this task from High to Medium.Jan 9 2015, 10:55 PM

Just re-tested against https://en.wikipedia.org/w/index.php?oldid=678508180 ([[Ray County, Missouri]]) and drag-n-drop of images didn't work on IE still. It did work on FF and Chrome, though.

In IE, clicking on the Route 13 sign ([[File:MO-13.svg]]) shows the Media highlight. Click off of that and you get the following exception:

SCRIPT5022: Nested change of newModelSelection File: load.php, Line: 832, Column: 517

IE's debugger has this call stack:

ve.ce.Surface.prototype.changeModel [Line: 832, Col: 517], load.php
ve.ce.Surface.prototype.handleObservedChanges [Line: 819, Col: 510], load.php
ve.ce.SurfaceObserver.prototype.pollOnceInternal [Line: 836, Col: 73], load.php
ve.ce.SurfaceObserver.prototype.pollOnceSelection [Line: 835, Col: 625], load.php
ve.ce.Surface.prototype.onDocumentSelectionChange [Line: 791, Col: 569], load.php
jQuery.event.dispatch [Line: 65, Col: 907], load.php
elemData.handle [Line: 60, Col: 384], load.php
ve.selectElement [Line: 62, Col: 281], eval code (48)
ve.ce.Surface.prototype.preparePasteTargetForCopy [Line: 816, Col: 530], load.php
ve.ce.Surface.prototype.onModelSelect [Line: 815, Col: 591], load.php
oo.EventEmitter.prototype.emit [Line: 65, Col: 545], eval code (46)
ve.dm.Surface.prototype.setSelection [Line: 578, Col: 532], load.php
ve.dm.Surface.prototype.changeInternal [Line: 580, Col: 371], load.php
ve.dm.Surface.prototype.change [Line: 579, Col: 351], load.php
ve.ce.Surface.prototype.changeModel [Line: 832, Col: 609], load.php
ve.ce.Surface.prototype.handleObservedChanges [Line: 819, Col: 510], load.php
ve.ce.SurfaceObserver.prototype.pollOnceInternal [Line: 836, Col: 73], load.php
ve.ce.SurfaceObserver.prototype.pollOnceSelection [Line: 835, Col: 625], load.php
ve.ce.Surface.prototype.onDocumentSelectionChange [Line: 791, Col: 569], load.php
jQuery.event.dispatch [Line: 65, Col: 907], load.php
elemData.handle [Line: 60, Col: 384], load.php
ve.ui.LinearContext.prototype.onContextChange [Line: 904, Col: 976], load.php
oo.EventEmitter.prototype.emit [Line: 65, Col: 545], eval code (46)
ve.dm.Surface.prototype.emitContextChange [Line: 575, Col: 206], load.php
ve.dm.Surface.prototype.setSelection [Line: 578, Col: 682], load.php
ve.dm.SurfaceFragment.prototype.select [Line: 590, Col: 861], load.php
Anonymous function [Line: 760, Col: 529], load.php
ve.ce.FocusableNode.prototype.onFocusableMouseDown [Line: 760, Col: 436], load.php
jQuery.event.dispatch [Line: 65, Col: 907], load.php
elemData.handle [Line: 60, Col: 384], load.php
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2015, 4:21 PM
Esanders renamed this task from VisualEditor: Drag-and-drop in IE doesn't work (?) to VisualEditor: Drag-and-drop in IE9 doesn't work.Apr 19 2016, 8:54 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 8:54 PM

Filed the exception as a different bug. Apart from that works in IE11/10 but not 9, where I get a different exception (cannot slice undefined).

Change 284361 had a related patch set uploaded (by Esanders):
Fix node drop in IE9

https://gerrit.wikimedia.org/r/284361

Jdforrester-WMF closed this task as Resolved.Apr 20 2016, 12:07 AM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF set Security to None.

Change 284361 merged by jenkins-bot:
Fix node drop in IE9

https://gerrit.wikimedia.org/r/284361